package com.chenyang.nse.bussiness.entity.vo.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;

public class TCoreKeyThKmsParameterVO extends TInitEntity {
   private String protocol;
   private String thhost;
   private String thport;
   private String appid;
   private String keyid;
   private String keystoredir;
   private String truststoredir;
   private String requesttimeout;
   private String connecttimeout;
   private String sockettimeout;

   public String getProtocol() {
      return this.protocol;
   }

   public String getThhost() {
      return this.thhost;
   }

   public String getThport() {
      return this.thport;
   }

   public String getAppid() {
      return this.appid;
   }

   public String getKeyid() {
      return this.keyid;
   }

   public String getKeystoredir() {
      return this.keystoredir;
   }

   public String getTruststoredir() {
      return this.truststoredir;
   }

   public String getRequesttimeout() {
      return this.requesttimeout;
   }

   public String getConnecttimeout() {
      return this.connecttimeout;
   }

   public String getSockettimeout() {
      return this.sockettimeout;
   }

   public void setProtocol(final String protocol) {
      this.protocol = protocol;
   }

   public void setThhost(final String thhost) {
      this.thhost = thhost;
   }

   public void setThport(final String thport) {
      this.thport = thport;
   }

   public void setAppid(final String appid) {
      this.appid = appid;
   }

   public void setKeyid(final String keyid) {
      this.keyid = keyid;
   }

   public void setKeystoredir(final String keystoredir) {
      this.keystoredir = keystoredir;
   }

   public void setTruststoredir(final String truststoredir) {
      this.truststoredir = truststoredir;
   }

   public void setRequesttimeout(final String requesttimeout) {
      this.requesttimeout = requesttimeout;
   }

   public void setConnecttimeout(final String connecttimeout) {
      this.connecttimeout = connecttimeout;
   }

   public void setSockettimeout(final String sockettimeout) {
      this.sockettimeout = sockettimeout;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyThKmsParameterVO)) {
         return false;
      } else {
         TCoreKeyThKmsParameterVO other = (TCoreKeyThKmsParameterVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$protocol = this.getProtocol();
            Object other$protocol = other.getProtocol();
            if (this$protocol == null) {
               if (other$protocol != null) {
                  return false;
               }
            } else if (!this$protocol.equals(other$protocol)) {
               return false;
            }

            Object this$thhost = this.getThhost();
            Object other$thhost = other.getThhost();
            if (this$thhost == null) {
               if (other$thhost != null) {
                  return false;
               }
            } else if (!this$thhost.equals(other$thhost)) {
               return false;
            }

            Object this$thport = this.getThport();
            Object other$thport = other.getThport();
            if (this$thport == null) {
               if (other$thport != null) {
                  return false;
               }
            } else if (!this$thport.equals(other$thport)) {
               return false;
            }

            Object this$appid = this.getAppid();
            Object other$appid = other.getAppid();
            if (this$appid == null) {
               if (other$appid != null) {
                  return false;
               }
            } else if (!this$appid.equals(other$appid)) {
               return false;
            }

            Object this$keyid = this.getKeyid();
            Object other$keyid = other.getKeyid();
            if (this$keyid == null) {
               if (other$keyid != null) {
                  return false;
               }
            } else if (!this$keyid.equals(other$keyid)) {
               return false;
            }

            Object this$keystoredir = this.getKeystoredir();
            Object other$keystoredir = other.getKeystoredir();
            if (this$keystoredir == null) {
               if (other$keystoredir != null) {
                  return false;
               }
            } else if (!this$keystoredir.equals(other$keystoredir)) {
               return false;
            }

            Object this$truststoredir = this.getTruststoredir();
            Object other$truststoredir = other.getTruststoredir();
            if (this$truststoredir == null) {
               if (other$truststoredir != null) {
                  return false;
               }
            } else if (!this$truststoredir.equals(other$truststoredir)) {
               return false;
            }

            Object this$requesttimeout = this.getRequesttimeout();
            Object other$requesttimeout = other.getRequesttimeout();
            if (this$requesttimeout == null) {
               if (other$requesttimeout != null) {
                  return false;
               }
            } else if (!this$requesttimeout.equals(other$requesttimeout)) {
               return false;
            }

            Object this$connecttimeout = this.getConnecttimeout();
            Object other$connecttimeout = other.getConnecttimeout();
            if (this$connecttimeout == null) {
               if (other$connecttimeout != null) {
                  return false;
               }
            } else if (!this$connecttimeout.equals(other$connecttimeout)) {
               return false;
            }

            Object this$sockettimeout = this.getSockettimeout();
            Object other$sockettimeout = other.getSockettimeout();
            if (this$sockettimeout == null) {
               if (other$sockettimeout != null) {
                  return false;
               }
            } else if (!this$sockettimeout.equals(other$sockettimeout)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyThKmsParameterVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $protocol = this.getProtocol();
      result = result * 59 + ($protocol == null ? 43 : $protocol.hashCode());
      Object $thhost = this.getThhost();
      result = result * 59 + ($thhost == null ? 43 : $thhost.hashCode());
      Object $thport = this.getThport();
      result = result * 59 + ($thport == null ? 43 : $thport.hashCode());
      Object $appid = this.getAppid();
      result = result * 59 + ($appid == null ? 43 : $appid.hashCode());
      Object $keyid = this.getKeyid();
      result = result * 59 + ($keyid == null ? 43 : $keyid.hashCode());
      Object $keystoredir = this.getKeystoredir();
      result = result * 59 + ($keystoredir == null ? 43 : $keystoredir.hashCode());
      Object $truststoredir = this.getTruststoredir();
      result = result * 59 + ($truststoredir == null ? 43 : $truststoredir.hashCode());
      Object $requesttimeout = this.getRequesttimeout();
      result = result * 59 + ($requesttimeout == null ? 43 : $requesttimeout.hashCode());
      Object $connecttimeout = this.getConnecttimeout();
      result = result * 59 + ($connecttimeout == null ? 43 : $connecttimeout.hashCode());
      Object $sockettimeout = this.getSockettimeout();
      result = result * 59 + ($sockettimeout == null ? 43 : $sockettimeout.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyThKmsParameterVO(protocol=" + this.getProtocol() + ", thhost=" + this.getThhost() + ", thport=" + this.getThport() + ", appid=" + this.getAppid() + ", keyid=" + this.getKeyid() + ", keystoredir=" + this.getKeystoredir() + ", truststoredir=" + this.getTruststoredir() + ", requesttimeout=" + this.getRequesttimeout() + ", connecttimeout=" + this.getConnecttimeout() + ", sockettimeout=" + this.getSockettimeout() + ")";
   }
}
